diff --git a/compiler/coreSyn/CoreUnfold.lhs b/compiler/coreSyn/CoreUnfold.lhs
index 46ec56a..f06d3ca 100644
--- a/compiler/coreSyn/CoreUnfold.lhs
+++ b/compiler/coreSyn/CoreUnfold.lhs
@@ -15,28 +15,22 @@ literal'').  In the corner of a @CoreUnfolding@ unfolding, you will
 find, unsurprisingly, a Core expression.
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module CoreUnfold (
-	Unfolding, UnfoldingGuidance,	-- Abstract types
+        Unfolding, UnfoldingGuidance,   -- Abstract types
 
-	noUnfolding, mkImplicitUnfolding, 
+        noUnfolding, mkImplicitUnfolding, 
         mkUnfolding, mkCoreUnfolding,
-	mkTopUnfolding, mkSimpleUnfolding,
-	mkInlineUnfolding, mkInlinableUnfolding, mkWwInlineRule,
-	mkCompulsoryUnfolding, mkDFunUnfolding,
+        mkTopUnfolding, mkSimpleUnfolding,
+        mkInlineUnfolding, mkInlinableUnfolding, mkWwInlineRule,
+        mkCompulsoryUnfolding, mkDFunUnfolding,
 
-	interestingArg, ArgSummary(..),
+        interestingArg, ArgSummary(..),
 
-	couldBeSmallEnoughToInline, inlineBoringOk,
-	certainlyWillInline, smallEnoughToInline,
+        couldBeSmallEnoughToInline, inlineBoringOk,
+        certainlyWillInline, smallEnoughToInline,
 
-	callSiteInline, CallCtxt(..),
+        callSiteInline, CallCtxt(..),
 
         -- Reexport from CoreSubst (it only live there so it can be used
         -- by the Very Simple Optimiser)
@@ -47,7 +41,7 @@ module CoreUnfold (
 
 import DynFlags
 import CoreSyn
-import PprCore		()	-- Instances
+import PprCore          ()      -- Instances
 import OccurAnal        ( occurAnalyseExpr )
 import CoreSubst hiding( substTy )
 import CoreArity       ( manifestArity, exprBotStrictness_maybe )
@@ -57,7 +51,7 @@ import DataCon
 import Literal
 import PrimOp
 import IdInfo
-import BasicTypes	( Arity )
+import BasicTypes       ( Arity )
 import Type
 import PrelNames
 import TysPrim          ( realWorldStatePrimTy )
@@ -74,9 +68,9 @@ import Data.Maybe
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Making unfoldings}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -108,7 +102,7 @@ mkWwInlineRule expr arity
                    (UnfWhen unSaturatedOk boringCxtNotOk)
 
 mkCompulsoryUnfolding :: CoreExpr -> Unfolding
-mkCompulsoryUnfolding expr	   -- Used for things that absolutely must be unfolded
+mkCompulsoryUnfolding expr         -- Used for things that absolutely must be unfolded
   = mkCoreUnfolding InlineCompulsory True
                     (simpleOptExpr expr) 0    -- Arity of unfolding doesn't matter
                     (UnfWhen unSaturatedOk boringCxtOk)
@@ -116,9 +110,9 @@ mkCompulsoryUnfolding expr	   -- Used for things that absolutely must be unfolde
 mkInlineUnfolding :: Maybe Arity -> CoreExpr -> Unfolding
 mkInlineUnfolding mb_arity expr 
   = mkCoreUnfolding InlineStable
-    		    True 	 -- Note [Top-level flag on inline rules]
+                    True         -- Note [Top-level flag on inline rules]
                     expr' arity 
-		    (UnfWhen unsat_ok boring_ok)
+                    (UnfWhen unsat_ok boring_ok)
   where
     expr' = simpleOptExpr expr
     (unsat_ok, arity) = case mb_arity of
@@ -142,15 +136,15 @@ mkCoreUnfolding :: UnfoldingSource -> Bool -> CoreExpr
                 -> Arity -> UnfoldingGuidance -> Unfolding
 -- Occurrence-analyses the expression before capturing it
 mkCoreUnfolding src top_lvl expr arity guidance 
-  = CoreUnfolding { uf_tmpl   	    = occurAnalyseExpr expr,
-    		    uf_src          = src,
-    		    uf_arity        = arity,
-		    uf_is_top 	    = top_lvl,
-		    uf_is_value     = exprIsHNF        expr,
+  = CoreUnfolding { uf_tmpl         = occurAnalyseExpr expr,
+                    uf_src          = src,
+                    uf_arity        = arity,
+                    uf_is_top       = top_lvl,
+                    uf_is_value     = exprIsHNF        expr,
                     uf_is_conlike   = exprIsConLike    expr,
-		    uf_is_work_free = exprIsWorkFree   expr,
-		    uf_expandable   = exprIsExpandable expr,
-		    uf_guidance     = guidance }
+                    uf_is_work_free = exprIsWorkFree   expr,
+                    uf_expandable   = exprIsExpandable expr,
+                    uf_guidance     = guidance }
 
 mkUnfolding :: DynFlags -> UnfoldingSource -> Bool -> Bool -> CoreExpr
             -> Unfolding
@@ -161,19 +155,19 @@ mkUnfolding dflags src top_lvl is_bottoming expr
   , not (exprIsTrivial expr)
   = NoUnfolding    -- See Note [Do not inline top-level bottoming functions]
   | otherwise
-  = CoreUnfolding { uf_tmpl   	    = occurAnalyseExpr expr,
-    		    uf_src          = src,
-    		    uf_arity        = arity,
-		    uf_is_top 	    = top_lvl,
-		    uf_is_value     = exprIsHNF        expr,
+  = CoreUnfolding { uf_tmpl         = occurAnalyseExpr expr,
+                    uf_src          = src,
+                    uf_arity        = arity,
+                    uf_is_top       = top_lvl,
+                    uf_is_value     = exprIsHNF        expr,
                     uf_is_conlike   = exprIsConLike    expr,
-		    uf_expandable   = exprIsExpandable expr,
-		    uf_is_work_free = exprIsWorkFree   expr,
-		    uf_guidance     = guidance }
+                    uf_expandable   = exprIsExpandable expr,
+                    uf_is_work_free = exprIsWorkFree   expr,
+                    uf_guidance     = guidance }
   where
     (arity, guidance) = calcUnfoldingGuidance dflags expr
         -- NB: *not* (calcUnfoldingGuidance (occurAnalyseExpr expr))!
-	-- See Note [Calculate unfolding guidance on the non-occ-anal'd expression]
+        -- See Note [Calculate unfolding guidance on the non-occ-anal'd expression]
 \end{code}
 
 Note [Calculate unfolding guidance on the non-occ-anal'd expression]
@@ -201,9 +195,9 @@ let-bound things that are dead are usually caught by preInlineUnconditionally
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{The UnfoldingGuidance type}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -225,9 +219,9 @@ inlineBoringOk e
     go credit (App f a) | credit > 0  
                         , exprIsTrivial a  = go (credit-1) f
     go credit (Tick _ e)                 = go credit e -- dubious
-    go credit (Cast e _) 		   = go credit e
-    go _      (Var {})         		   = boringCxtOk
-    go _      _                		   = boringCxtNotOk
+    go credit (Cast e _)                   = go credit e
+    go _      (Var {})                     = boringCxtOk
+    go _      _                            = boringCxtNotOk
 
 calcUnfoldingGuidance
         :: DynFlags
@@ -239,18 +233,18 @@ calcUnfoldingGuidance dflags expr
         bOMB_OUT_SIZE = ufCreationThreshold dflags
                -- Bomb out if size gets bigger than this
         val_bndrs   = filter isId bndrs
-	n_val_bndrs = length val_bndrs
+        n_val_bndrs = length val_bndrs
 
-    	guidance 
+        guidance 
           = case sizeExpr dflags (iUnbox bOMB_OUT_SIZE) val_bndrs body of
-      	      TooBig -> UnfNever
-      	      SizeIs size cased_bndrs scrut_discount
-      	        | uncondInline expr n_val_bndrs (iBox size)
-      	        -> UnfWhen unSaturatedOk boringCxtOk   -- Note [INLINE for small functions]
-	        | otherwise
-      	        -> UnfIfGoodArgs { ug_args  = map (discount cased_bndrs) val_bndrs
-      	                         , ug_size  = iBox size
-      	        	  	 , ug_res   = iBox scrut_discount }
+              TooBig -> UnfNever
+              SizeIs size cased_bndrs scrut_discount
+                | uncondInline expr n_val_bndrs (iBox size)
+                -> UnfWhen unSaturatedOk boringCxtOk   -- Note [INLINE for small functions]
+                | otherwise
+                -> UnfIfGoodArgs { ug_args  = map (discount cased_bndrs) val_bndrs
+                                 , ug_size  = iBox size
+                                 , ug_res   = iBox scrut_discount }
 
         discount :: Bag (Id,Int) -> Id -> Int
         discount cbs bndr = foldlBag combine 0 cbs
@@ -285,14 +279,14 @@ heuristics right has taken a long time.  Here's the basic strategy:
 
 Examples
 
-  Size	Term
+  Size  Term
   --------------
-    0	  42#
-    0	  x
+    0     42#
+    0     x
     0     True
-    2	  f x
-    1	  Just x
-    4 	  f (g x)
+    2     f x
+    1     Just x
+    4     f (g x)
 
 Notice that 'x' counts 0, while (f x) counts 2.  That's deliberate: there's
 a function call to account for.  Notice also that constructor applications 
@@ -312,7 +306,7 @@ Do not re-inline them!  But we *do* still inline if they are very small
 
 Note [INLINE for small functions]
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-Consider	{-# INLINE f #-}
+Consider        {-# INLINE f #-}
                 f x = Just x
                 g y = f y
 Then f's RHS is no larger than its LHS, so we should inline it into
@@ -324,11 +318,11 @@ Things to note:
 
 (1) We inline *unconditionally* if inlined thing is smaller (using sizeExpr)
     than the thing it's replacing.  Notice that
-      (f x) --> (g 3) 		  -- YES, unconditionally
-      (f x) --> x : []		  -- YES, *even though* there are two
-      	    	    		  --      arguments to the cons
-      x     --> g 3		  -- NO
-      x	    --> Just v		  -- NO
+      (f x) --> (g 3)             -- YES, unconditionally
+      (f x) --> x : []            -- YES, *even though* there are two
+                                  --      arguments to the cons
+      x     --> g 3               -- NO
+      x     --> Just v            -- NO
 
     It's very important not to unconditionally replace a variable by
     a non-atomic term.
@@ -375,11 +369,11 @@ uncondInline rhs arity size
 
 \begin{code}
 sizeExpr :: DynFlags
-         -> FastInt 	    -- Bomb out if it gets bigger than this
-	 -> [Id]	    -- Arguments; we're interested in which of these
-			    -- get case'd
-	 -> CoreExpr
-	 -> ExprSize
+         -> FastInt         -- Bomb out if it gets bigger than this
+         -> [Id]            -- Arguments; we're interested in which of these
+                            -- get case'd
+         -> CoreExpr
+         -> ExprSize
 
 -- Note [Computing the size of an expression]
 
@@ -406,11 +400,11 @@ sizeExpr dflags bOMB_OUT_SIZE top_args expr
       | otherwise = size_up e
 
     size_up (Let (NonRec binder rhs) body)
-      = size_up rhs		`addSizeNSD`
-	size_up body		`addSizeN`
+      = size_up rhs             `addSizeNSD`
+        size_up body            `addSizeN`
         (if isUnLiftedType (idType binder) then 0 else 10)
-		-- For the allocation
-		-- If the binder has an unlifted type there is no allocation
+                -- For the allocation
+                -- If the binder has an unlifted type there is no allocation
 
     size_up (Let (Rec pairs) body)
       = foldr (addSizeNSD . size_up . snd) 
@@ -418,28 +412,28 @@ sizeExpr dflags bOMB_OUT_SIZE top_args expr
               pairs
 
     size_up (Case (Var v) _ _ alts) 
-	| v `elem` top_args		-- We are scrutinising an argument variable
-	= alts_size (foldr addAltSize sizeZero alt_sizes)
-		    (foldr maxSize    sizeZero alt_sizes)
-		-- Good to inline if an arg is scrutinised, because
-		-- that may eliminate allocation in the caller
-		-- And it eliminates the case itself
-	where
-	  alt_sizes = map size_up_alt alts
-
-		-- alts_size tries to compute a good discount for
-		-- the case when we are scrutinising an argument variable
-	  alts_size (SizeIs tot tot_disc tot_scrut)  -- Size of all alternatives
-		    (SizeIs max _        _)          -- Size of biggest alternative
+        | v `elem` top_args             -- We are scrutinising an argument variable
+        = alts_size (foldr addAltSize sizeZero alt_sizes)
+                    (foldr maxSize    sizeZero alt_sizes)
+                -- Good to inline if an arg is scrutinised, because
+                -- that may eliminate allocation in the caller
+                -- And it eliminates the case itself
+        where
+          alt_sizes = map size_up_alt alts
+
+                -- alts_size tries to compute a good discount for
+                -- the case when we are scrutinising an argument variable
+          alts_size (SizeIs tot tot_disc tot_scrut)  -- Size of all alternatives
+                    (SizeIs max _        _)          -- Size of biggest alternative
                 = SizeIs tot (unitBag (v, iBox (_ILIT(20) +# tot -# max)) `unionBags` tot_disc) tot_scrut
-			-- If the variable is known, we produce a discount that
-			-- will take us back to 'max', the size of the largest alternative
-			-- The 1+ is a little discount for reduced allocation in the caller
-			--
-			-- Notice though, that we return tot_disc, the total discount from 
-			-- all branches.  I think that's right.
+                        -- If the variable is known, we produce a discount that
+                        -- will take us back to 'max', the size of the largest alternative
+                        -- The 1+ is a little discount for reduced allocation in the caller
+                        --
+                        -- Notice though, that we return tot_disc, the total discount from 
+                        -- all branches.  I think that's right.
 
-	  alts_size tot_size _ = tot_size
+          alts_size tot_size _ = tot_size
 
     size_up (Case e _ _ alts) = size_up e  `addSizeNSD`
                                 foldr (addAltSize . size_up_alt) case_size alts
@@ -480,9 +474,9 @@ sizeExpr dflags bOMB_OUT_SIZE top_args expr
     ------------ 
     -- size_up_app is used when there's ONE OR MORE value args
     size_up_app (App fun arg) args voids
-	| isTyCoArg arg                  = size_up_app fun args voids
-	| isRealWorldExpr arg            = size_up_app fun (arg:args) (voids + 1)
-	| otherwise		         = size_up arg  `addSizeNSD`
+        | isTyCoArg arg                  = size_up_app fun args voids
+        | isRealWorldExpr arg            = size_up_app fun (arg:args) (voids + 1)
+        | otherwise                      = size_up arg  `addSizeNSD`
                                            size_up_app fun (arg:args) voids
     size_up_app (Var fun)     args voids = size_up_call fun args voids
     size_up_app other         args voids = size_up other `addSizeN` (length args - voids)
@@ -494,38 +488,38 @@ sizeExpr dflags bOMB_OUT_SIZE top_args expr
            FCallId _        -> sizeN (10 * (1 + length val_args))
            DataConWorkId dc -> conSize    dc (length val_args)
            PrimOpId op      -> primOpSize op (length val_args)
-	   ClassOpId _ 	    -> classOpSize dflags top_args val_args
-	   _     	    -> funSize dflags top_args fun (length val_args) voids
+           ClassOpId _      -> classOpSize dflags top_args val_args
+           _                -> funSize dflags top_args fun (length val_args) voids
 
     ------------ 
     size_up_alt (_con, _bndrs, rhs) = size_up rhs `addSizeN` 10
- 	-- Don't charge for args, so that wrappers look cheap
-	-- (See comments about wrappers with Case)
-	--
-	-- IMPORATANT: *do* charge 1 for the alternative, else we 
-	-- find that giant case nests are treated as practically free
-	-- A good example is Foreign.C.Error.errrnoToIOError
+        -- Don't charge for args, so that wrappers look cheap
+        -- (See comments about wrappers with Case)
+        --
+        -- IMPORATANT: *do* charge 1 for the alternative, else we 
+        -- find that giant case nests are treated as practically free
+        -- A good example is Foreign.C.Error.errrnoToIOError
 
     ------------
-	-- These addSize things have to be here because
-	-- I don't want to give them bOMB_OUT_SIZE as an argument
+        -- These addSize things have to be here because
+        -- I don't want to give them bOMB_OUT_SIZE as an argument
     addSizeN TooBig          _  = TooBig
-    addSizeN (SizeIs n xs d) m 	= mkSizeIs bOMB_OUT_SIZE (n +# iUnbox m) xs d
+    addSizeN (SizeIs n xs d) m  = mkSizeIs bOMB_OUT_SIZE (n +# iUnbox m) xs d
     
         -- addAltSize is used to add the sizes of case alternatives
-    addAltSize TooBig	         _	= TooBig
-    addAltSize _		 TooBig	= TooBig
+    addAltSize TooBig            _      = TooBig
+    addAltSize _                 TooBig = TooBig
     addAltSize (SizeIs n1 xs d1) (SizeIs n2 ys d2) 
-	= mkSizeIs bOMB_OUT_SIZE (n1 +# n2) 
+        = mkSizeIs bOMB_OUT_SIZE (n1 +# n2) 
                                  (xs `unionBags` ys) 
                                  (d1 +# d2)   -- Note [addAltSize result discounts]
 
         -- This variant ignores the result discount from its LEFT argument
-	-- It's used when the second argument isn't part of the result
-    addSizeNSD TooBig	         _	= TooBig
-    addSizeNSD _		 TooBig	= TooBig
+        -- It's used when the second argument isn't part of the result
+    addSizeNSD TooBig            _      = TooBig
+    addSizeNSD _                 TooBig = TooBig
     addSizeNSD (SizeIs n1 xs _) (SizeIs n2 ys d2) 
-	= mkSizeIs bOMB_OUT_SIZE (n1 +# n2) 
+        = mkSizeIs bOMB_OUT_SIZE (n1 +# n2) 
                                  (xs `unionBags` ys) 
                                  d2  -- Ignore d1
 
@@ -541,14 +535,14 @@ sizeExpr dflags bOMB_OUT_SIZE top_args expr
 -- | Finds a nominal size of a string literal.
 litSize :: Literal -> Int
 -- Used by CoreUnfold.sizeExpr
-litSize (LitInteger {}) = 100	-- Note [Size of literal integers]
+litSize (LitInteger {}) = 100   -- Note [Size of literal integers]
 litSize (MachStr str)   = 10 + 10 * ((BS.length str + 3) `div` 4)
-	-- If size could be 0 then @f "x"@ might be too small
-	-- [Sept03: make literal strings a bit bigger to avoid fruitless 
-	--  duplication of little strings]
+        -- If size could be 0 then @f "x"@ might be too small
+        -- [Sept03: make literal strings a bit bigger to avoid fruitless 
+        --  duplication of little strings]
 litSize _other = 0    -- Must match size of nullary constructors
-	       	      -- Key point: if  x |-> 4, then x must inline unconditionally
-		      --     	    (eg via case binding)
+                      -- Key point: if  x |-> 4, then x must inline unconditionally
+                      --            (eg via case binding)
 
 classOpSize :: DynFlags -> [Id] -> [CoreExpr] -> ExprSize
 -- See Note [Conlike is interesting]
@@ -562,10 +556,10 @@ classOpSize dflags top_args (arg1 : other_args)
     -- give it a discount, to encourage the inlining of this function
     -- The actual discount is rather arbitrarily chosen
     arg_discount = case arg1 of
-    		     Var dict | dict `elem` top_args 
-		     	      -> unitBag (dict, ufDictDiscount dflags)
-		     _other   -> emptyBag
-    		     
+                     Var dict | dict `elem` top_args 
+                              -> unitBag (dict, ufDictDiscount dflags)
+                     _other   -> emptyBag
+                     
 funSize :: DynFlags -> [Id] -> Id -> Int -> Int -> ExprSize
 -- Size for functions that are not constructors or primops
 -- Note [Function applications]
@@ -578,20 +572,20 @@ funSize dflags top_args fun n_val_args voids
 
     size | some_val_args = 10 * (1 + n_val_args - voids)
          | otherwise     = 0
-	-- The 1+ is for the function itself
-	-- Add 1 for each non-trivial arg;
-	-- the allocation cost, as in let(rec)
+        -- The 1+ is for the function itself
+        -- Add 1 for each non-trivial arg;
+        -- the allocation cost, as in let(rec)
   
         --                  DISCOUNTS
         --  See Note [Function and non-function discounts]
     arg_discount | some_val_args && fun `elem` top_args
-    		 = unitBag (fun, ufFunAppDiscount dflags)
-		 | otherwise = emptyBag
-	-- If the function is an argument and is applied
-	-- to some values, give it an arg-discount
+                 = unitBag (fun, ufFunAppDiscount dflags)
+                 | otherwise = emptyBag
+        -- If the function is an argument and is applied
+        -- to some values, give it an arg-discount
 
     res_discount | idArity fun > n_val_args = ufFunAppDiscount dflags
-    		 | otherwise   	 	    = 0
+                 | otherwise                = 0
         -- If the function is partially applied, show a result discount
 
 conSize :: DataCon -> Int -> ExprSize
@@ -629,7 +623,7 @@ terrible code bloat: see Trac #6099.
 Note [Unboxed tuple size and result discount]
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 However, unboxed tuples count as size zero. I found occasions where we had 
-	f x y z = case op# x y z of { s -> (# s, () #) }
+        f x y z = case op# x y z of { s -> (# s, () #) }
 and f wasn't getting inlined.
 
 I tried giving unboxed tuples a *result discount* of zero (see the
@@ -688,17 +682,17 @@ primOpSize op n_val_args
 
 buildSize :: ExprSize
 buildSize = SizeIs (_ILIT(0)) emptyBag (_ILIT(40))
-	-- We really want to inline applications of build
-	-- build t (\cn -> e) should cost only the cost of e (because build will be inlined later)
-	-- Indeed, we should add a result_discount becuause build is 
-	-- very like a constructor.  We don't bother to check that the
-	-- build is saturated (it usually is).  The "-2" discounts for the \c n, 
-	-- The "4" is rather arbitrary.
+        -- We really want to inline applications of build
+        -- build t (\cn -> e) should cost only the cost of e (because build will be inlined later)
+        -- Indeed, we should add a result_discount becuause build is 
+        -- very like a constructor.  We don't bother to check that the
+        -- build is saturated (it usually is).  The "-2" discounts for the \c n, 
+        -- The "4" is rather arbitrary.
 
 augmentSize :: ExprSize
 augmentSize = SizeIs (_ILIT(0)) emptyBag (_ILIT(40))
-	-- Ditto (augment t (\cn -> e) ys) should cost only the cost of
-	-- e plus ys. The -2 accounts for the \cn 
+        -- Ditto (augment t (\cn -> e) ys) should cost only the cost of
+        -- e plus ys. The -2 accounts for the \cn 
 
 -- When we return a lambda, give a discount if it's used (applied)
 lamScrutDiscount :: DynFlags -> ExprSize -> ExprSize
@@ -761,10 +755,10 @@ Code for manipulating sizes
 
 \begin{code}
 data ExprSize = TooBig
-	      | SizeIs FastInt		-- Size found
-		       !(Bag (Id,Int))	-- Arguments cased herein, and discount for each such
-		       FastInt		-- Size to subtract if result is scrutinised 
-					-- by a case expression
+              | SizeIs FastInt          -- Size found
+                       !(Bag (Id,Int))  -- Arguments cased herein, and discount for each such
+                       FastInt          -- Size to subtract if result is scrutinised 
+                                        -- by a case expression
 
 instance Outputable ExprSize where
   ppr TooBig         = ptext (sLit "TooBig")
@@ -772,18 +766,18 @@ instance Outputable ExprSize where
 
 -- subtract the discount before deciding whether to bale out. eg. we
 -- want to inline a large constructor application into a selector:
---  	tup = (a_1, ..., a_99)
---  	x = case tup of ...
+--      tup = (a_1, ..., a_99)
+--      x = case tup of ...
 --
 mkSizeIs :: FastInt -> FastInt -> Bag (Id, Int) -> FastInt -> ExprSize
 mkSizeIs max n xs d | (n -# d) ># max = TooBig
-		    | otherwise	      = SizeIs n xs d
+                    | otherwise       = SizeIs n xs d
  
 maxSize :: ExprSize -> ExprSize -> ExprSize
-maxSize TooBig         _ 				  = TooBig
-maxSize _              TooBig				  = TooBig
+maxSize TooBig         _                                  = TooBig
+maxSize _              TooBig                             = TooBig
 maxSize s1@(SizeIs n1 _ _) s2@(SizeIs n2 _ _) | n1 ># n2  = s1
-					      | otherwise = s2
+                                              | otherwise = s2
 
 sizeZero :: ExprSize
 sizeN :: Int -> ExprSize
@@ -794,9 +788,9 @@ sizeN n  = SizeIs (iUnbox n) emptyBag (_ILIT(0))
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[considerUnfolding]{Given all the info, do (not) do the unfolding}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 We use 'couldBeSmallEnoughToInline' to avoid exporting inlinings that
@@ -822,7 +816,7 @@ smallEnoughToInline _ _
 
 ----------------
 certainlyWillInline :: DynFlags -> Unfolding -> Bool
-  -- Sees if the unfolding is pretty certain to inline	
+  -- Sees if the unfolding is pretty certain to inline  
 certainlyWillInline dflags (CoreUnfolding { uf_arity = n_vals, uf_guidance = guidance })
   = case guidance of
       UnfNever      -> False
@@ -846,9 +840,9 @@ was certainlyWillInline, so the addition got duplicated.
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{callSiteInline}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 This is the key function.  It decides whether to inline a variable at a call site
@@ -869,12 +863,12 @@ StrictAnal.addStrictnessInfoToTopId
 
 \begin{code}
 callSiteInline :: DynFlags
-	       -> Id			-- The Id
-	       -> Bool			-- True <=> unfolding is active
-	       -> Bool			-- True if there are are no arguments at all (incl type args)
-	       -> [ArgSummary]		-- One for each value arg; True if it is interesting
-	       -> CallCtxt		-- True <=> continuation is interesting
-	       -> Maybe CoreExpr	-- Unfolding, if any
+               -> Id                    -- The Id
+               -> Bool                  -- True <=> unfolding is active
+               -> Bool                  -- True if there are are no arguments at all (incl type args)
+               -> [ArgSummary]          -- One for each value arg; True if it is interesting
+               -> CallCtxt              -- True <=> continuation is interesting
+               -> Maybe CoreExpr        -- Unfolding, if any
 
 instance Outputable ArgSummary where
   ppr TrivArg    = ptext (sLit "TrivArg")
@@ -883,25 +877,25 @@ instance Outputable ArgSummary where
 
 data CallCtxt = BoringCtxt
 
-	      | ArgCtxt		-- We are somewhere in the argument of a function
-                        Bool	-- True  <=> we're somewhere in the RHS of function with rules
-				-- False <=> we *are* the argument of a function with non-zero
-				-- 	     arg discount
+              | ArgCtxt         -- We are somewhere in the argument of a function
+                        Bool    -- True  <=> we're somewhere in the RHS of function with rules
+                                -- False <=> we *are* the argument of a function with non-zero
+                                --           arg discount
                                 --        OR 
                                 --           we *are* the RHS of a let  Note [RHS of lets]
                                 -- In both cases, be a little keener to inline
 
-	      | ValAppCtxt 	-- We're applied to at least one value arg
-				-- This arises when we have ((f x |> co) y)
-				-- Then the (f x) has argument 'x' but in a ValAppCtxt
+              | ValAppCtxt      -- We're applied to at least one value arg
+                                -- This arises when we have ((f x |> co) y)
+                                -- Then the (f x) has argument 'x' but in a ValAppCtxt
 
-	      | CaseCtxt	-- We're the scrutinee of a case
-				-- that decomposes its scrutinee
+              | CaseCtxt        -- We're the scrutinee of a case
+                                -- that decomposes its scrutinee
 
 instance Outputable CallCtxt where
   ppr BoringCtxt      = ptext (sLit "BoringCtxt")
   ppr (ArgCtxt rules) = ptext (sLit "ArgCtxt") <+> ppr rules
-  ppr CaseCtxt 	      = ptext (sLit "CaseCtxt")
+  ppr CaseCtxt        = ptext (sLit "CaseCtxt")
   ppr ValAppCtxt      = ptext (sLit "ValAppCtxt")
 
 callSiteInline dflags id active_unfolding lone_variable arg_infos cont_info
@@ -909,8 +903,8 @@ callSiteInline dflags id active_unfolding lone_variable arg_infos cont_info
       -- idUnfolding checks for loop-breakers, returning NoUnfolding
       -- Things with an INLINE pragma may have an unfolding *and* 
       -- be a loop breaker  (maybe the knot is not yet untied)
-	CoreUnfolding { uf_tmpl = unf_template, uf_is_top = is_top 
-		      , uf_is_work_free = is_wf, uf_arity = uf_arity
+        CoreUnfolding { uf_tmpl = unf_template, uf_is_top = is_top 
+                      , uf_is_work_free = is_wf, uf_arity = uf_arity
                       , uf_guidance = guidance, uf_expandable = is_exp }
           | active_unfolding -> tryUnfolding dflags id lone_variable 
                                     arg_infos cont_info unf_template is_top 
@@ -918,30 +912,30 @@ callSiteInline dflags id active_unfolding lone_variable arg_infos cont_info
           | dopt Opt_D_dump_inlinings dflags && dopt Opt_D_verbose_core2core dflags
           -> pprTrace "Inactive unfolding:" (ppr id) Nothing
           | otherwise -> Nothing
-	NoUnfolding 	 -> Nothing 
-	OtherCon {} 	 -> Nothing 
-	DFunUnfolding {} -> Nothing 	-- Never unfold a DFun
+        NoUnfolding      -> Nothing 
+        OtherCon {}      -> Nothing 
+        DFunUnfolding {} -> Nothing     -- Never unfold a DFun
 
 tryUnfolding :: DynFlags -> Id -> Bool -> [ArgSummary] -> CallCtxt
              -> CoreExpr -> Bool -> Bool -> Bool -> Arity -> UnfoldingGuidance
-	     -> Maybe CoreExpr	
+             -> Maybe CoreExpr  
 tryUnfolding dflags id lone_variable 
              arg_infos cont_info unf_template is_top 
              is_wf is_exp uf_arity guidance
-			-- uf_arity will typically be equal to (idArity id), 
-			-- but may be less for InlineRules
+                        -- uf_arity will typically be equal to (idArity id), 
+                        -- but may be less for InlineRules
  | dopt Opt_D_dump_inlinings dflags && dopt Opt_D_verbose_core2core dflags
  = pprTrace ("Considering inlining: " ++ showSDocDump dflags (ppr id))
-		 (vcat [text "arg infos" <+> ppr arg_infos,
-			text "uf arity" <+> ppr uf_arity,
-			text "interesting continuation" <+> ppr cont_info,
-			text "some_benefit" <+> ppr some_benefit,
+                 (vcat [text "arg infos" <+> ppr arg_infos,
+                        text "uf arity" <+> ppr uf_arity,
+                        text "interesting continuation" <+> ppr cont_info,
+                        text "some_benefit" <+> ppr some_benefit,
                         text "is exp:" <+> ppr is_exp,
                         text "is work-free:" <+> ppr is_wf,
-			text "guidance" <+> ppr guidance,
-			extra_doc,
-			text "ANSWER =" <+> if yes_or_no then text "YES" else text "NO"])
-	         result
+                        text "guidance" <+> ppr guidance,
+                        extra_doc,
+                        text "ANSWER =" <+> if yes_or_no then text "YES" else text "NO"])
+                 result
   | otherwise  = result
 
   where
